<?php
/**
 * Prologe Lite Custom CSS
 *
 * @package Prologe_Lite
 * @since 1.1.1
 */

if ( ! function_exists( 'prologe_lite_generate_css' ) ) {

	/**
	 * Generate CSS.
	 *
	 * @since Twenty Twenty 1.0
	 *
	 * @param string $selector The CSS selector.
	 * @param string $style    The CSS style.
	 * @param string $value    The CSS value.
	 * @param string $prefix   The CSS prefix.
	 * @param string $suffix   The CSS suffix.
	 * @param bool   $display  Print the styles.
	 */
	function prologe_lite_generate_css( $selector, $style, $value, $prefix = '', $suffix = '', $display = true ) {

		$return = '';

		/*
		 * Bail early if we have no $selector elements or properties and $value.
		 */
		if ( ! $value || ! $selector ) {

			return;
		}

		$return = sprintf( '%s { %s: %s; }', $selector, $style, $prefix . $value . $suffix );

		if ( $display ) {

			echo $return; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We need to double check this, but for now, we want to pass PHPCS ;)

		}

		return $return;

	}
}
